Bug 147247 - upgrade to straw-0.22.1-4 overwrites previous preferences
upgrade to straw-0.22.1-4 overwrites previous preferences
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: straw (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Charles
Fedora Extras Quality Assurance
:
Depends On: 186731
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-04 19:03 EST by Jack Spaar
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-09 09:36:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jack Spaar 2005-02-04 19:03:46 EST
Description of problem:
After upgrading to straw-0.22.1-4, no articles appeared for any feed.
 Turns out existing user preferences had been modified, with "Display
x articles at once" set to 0, probably some other prefs changed also.

Version-Release number of selected component (if applicable):
straw-0.22.1-4

How reproducible:


Steps to Reproduce:
1. Upgrade to straw-0.22.1-4 from a previous release
2. 
3.
  
Actual results:
No articles are displayed in the Articles list for any feed because
#-of-articles-to-display preference has been reset to 0.

Expected results:
Keep existing user preferences.

Additional info:
Comment 1 Michael Schwendt 2005-02-04 19:26:06 EST
From what version did you upgrade? This straw 0.22.1 release was done on
04-May-2004 and has not been upgraded since.
Comment 2 Jack Spaar 2005-02-04 20:07:03 EST
Hmm good question.  

$ grep straw /var/log/rpmpkgs*
/var/log/rpmpkgs:straw-0.22.1-4.noarch.rpm
/var/log/rpmpkgs.1:straw-0.22.1-0.fdr.4.1.92.noarch.rpm

Looks like it was from Fedora US, probably the src rpm from 2/testing.
Comment 3 Michael Schwendt 2005-02-04 23:54:09 EST
Well, that's exactly the same version. Same version of Straw, same
package version. Just one built against Fedora Core 2 Test 3, the
other one against Fedora Core 3.

The package itself does not touch the user preferences at all. So,
it's not a packaging bug.

Under which circumstances Straw 0.22.1 can lose its preferences--it
uses GConf as backend--is another issue. I could not reproduce it with
data from a FC2 account on FC3.

(hint: Liferea is a very good alternative feed reader)
Comment 4 Michael Schwendt 2005-02-05 18:24:52 EST
Can reproduce with the upgrade to 0.25.1, which I basically blocked in
QA due to many issues, including a crash at startup:
https://bugzilla.fedora.us/show_bug.cgi?id=1841

To reproduce, I copy ~/.straw from FC2 to FC3, install the upgrade
there and start Straw. I described similar symptoms as in this ticket
there:
https://bugzilla.fedora.us/show_bug.cgi?id=1841#c20
Comment 5 Colin Charles 2005-04-12 18:16:05 EDT
Its possibly because you required mxDateTime to convert the straw database to
the newer format, and we didn't provide it.

Straw is now going to be bumped to a new release hopefully soon (0.25), so I'm
wondering if we should provide mxDateTime for users of straw older than 0.21.2
or if we should just go thru the upgrade and that users get a nice new straw

Thoughts?
Comment 6 Alex Lancaster 2006-03-25 16:27:57 EST
Bug #186731 notes that straw 0.26 from Feb 2006 is out, perhaps a version
upgrade will fix this.
Comment 7 Christian Iseli 2007-01-19 18:46:18 EST
FC3 and FC4 have now been EOL'd.

Please check the ticket against a current Fedora release, and either adjust the
release number, or close it if appropriate.

Thanks.

Your friendly BZ janitor :-)
Comment 8 Alex Lancaster 2007-07-09 09:36:54 EDT
Straw appears to be orphaned, closing as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.